<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TxConnectDispatcherResult StructType
 * @subpackage Structs
 */
class TxConnectDispatcherResult extends TxConnectDispatcherDetails
{
    /**
     * The Transics_ID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $Transics_ID;
    /**
     * Constructor method for TxConnectDispatcherResult
     * @uses TxConnectDispatcherResult::setTransics_ID()
     * @param int $transics_ID
     */
    public function __construct($transics_ID = null)
    {
        $this
            ->setTransics_ID($transics_ID);
    }
    /**
     * Get Transics_ID value
     * @return int
     */
    public function getTransics_ID()
    {
        return $this->Transics_ID;
    }
    /**
     * Set Transics_ID value
     * @param int $transics_ID
     * @return \StructType\TxConnectDispatcherResult
     */
    public function setTransics_ID($transics_ID = null)
    {
        // validation for constraint: int
        if (!is_null($transics_ID) && !(is_int($transics_ID) || ctype_digit($transics_ID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($transics_ID, true), gettype($transics_ID)), __LINE__);
        }
        $this->Transics_ID = $transics_ID;
        return $this;
    }
}
